﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace DataContextDemo
{
    public class DoubleClick
    {
        public DoubleClick()
        {
            this.previousClick = DateTime.Now;
        }
        private DateTime previousClick;
        public event MouseButtonEventHandler MouseDoubleClick;
        public void DoubleClicked(object sender, MouseButtonEventArgs e)
        {
            if (previousClick != null && DateTime.Now.Subtract((DateTime)previousClick).TotalMilliseconds < 400)
            {
                MouseDoubleClick(sender, e);
               
            }
            this.previousClick = DateTime.Now;
        }

        internal void AddHandler(UIElement ctl)
        {
            ctl.AddHandler(UIElement.MouseLeftButtonUpEvent, new MouseButtonEventHandler(this.DoubleClicked), true);
        }
    }
}
